%define without_x 1

Name:		mc
Version:	4.8.31
Release:	%mkrel 1
Summary:        A user-friendly file manager and visual shell

License:	GPLv2+
Group:		File tools
URL:		https://midnight-commander.org
Source0:	http://ftp.midnight-commander.org/%{name}-%{version}.tar.xz
Source1:	mc-bashrc
Patch0:		mc-4.8.7-use_okular_for_pdf_files.patch
Patch1:		mc-4.8.16-subshell.patch
Patch2:		mc-4.8.19-decent_defaults.patch
Patch3:		mc-4.8.20-mc-wrapper.patch
BuildRequires:  bison
BuildRequires:  gettext-devel
BuildRequires:	%{_lib}ext2fs-devel
BuildRequires:	%{_lib}gpm-devel
BuildRequires:	%{_lib}pam-devel
BuildRequires:	%{_lib}slang-devel
BuildRequires:	%{_lib}ssh2-devel
%if !%without_x
BuildRequires:	%{_lib}x11-devel
%endif
Requires:	groff

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.

%prep
%setup -q
%autopatch -p1
%__sed -i 's:|hxx|:|hh|hpp|hxx|:' misc/syntax/Syntax.in

%build
%serverbuild
export X11_WWW="www-browser"
export CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wno-strict-aliasing"
%configure2_5x \
  --enable-dependency-tracking \
  --without-included-gettext \
  --with-screen=slang \
  --with-search-engine=glib \
  --enable-nls \
  --enable-charset \
  --enable-largefile \
  --disable-rpath \
  --enable-vfs-smb \
  --enable-vfs-sftp \
  --with-mmap \
%if %without_x
  --without-x
%endif
%make_build

%install
%makeinstall_std
%__install -Dm644 contrib/mc.sh %{buildroot}%{_sysconfdir}/profile.d/20mc.sh
%__install -m644 contrib/mc.csh %{buildroot}%{_sysconfdir}/profile.d/20mc.csh
%__install -m644 %{S:1} %{buildroot}%{_sysconfdir}/mc/mc-bashrc
%find_lang --with-man %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%{_sysconfdir}/mc
%{_sysconfdir}/profile.d/20mc.*sh
%{_bindir}/mc*
%{_libexecdir}/mc
%{_mandir}/man1/mc*.1.bz2
%{_datadir}/mc

%changelog
* Sun Jan 28 2024 tex - 4.8.31-1pclos2024
- new version

* Mon Aug 14 2023 tex - 4.8.30-1pclos2023
- new version

